# Class CIM_RecordLogCapabilities
extends CIM_EnabledLogicalElementCapabilities

CIM_RecordLogcapabilities describes the capabilities supported by the associated record log.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_RecordLogCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_RecordLogcapabilities describes the capabilities supported by the associated record log.
UMLPackagePath | string | CIM::System::Logs
Version | string | 2.27.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SupportedRecordTypes | uint16[] |

Description

string

SupportedRecordTypes indicates which record types are supported. 2 ("Record Data") indicates that this log is capable of storing log entry data in the RecordData property of CIM_RecordForLog in the format that is identified by the RecordFormat property of CIM_RecordForLog. 3 ("Standard Messages") indicates that this log is capable of storing log entries using Standard Messages.

ValueMap | string | 0, 2, 3, ..
Values | string | Unknown, Record Data, Standard Messages, DMTF Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods